> ## Documentation Index
> Fetch the complete documentation index at: https://docs.threetone.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Assign Conversation Tags

> Assign one or more conversation tags to a conversation. Tags that are already assigned are ignored. Tags must belong to the same workspace.



## OpenAPI

````yaml /api-reference/openapi.json post /v1/convai/conversations/{conversation_id}/tags
openapi: 3.1.0
info:
  title: Threetone API Documentation
  description: >-
    This is the documentation for the Threetone API. You can use this API to use
    our service programmatically with API keys sent in the x-api-key header. You
    can create and manage API keys in the dashboard at
    https://threetone.in/app/developers/api-keys.
  version: '1.0'
servers:
  - url: https://api.threetone.in
    description: Production
security: []
paths:
  /v1/convai/conversations/{conversation_id}/tags:
    post:
      tags:
        - Agents Platform
      summary: Assign Conversation Tags
      description: >-
        Assign one or more conversation tags to a conversation. Tags that are
        already assigned are ignored. Tags must belong to the same workspace.
      operationId: assign_conversation_tags_route
      parameters:
        - name: conversation_id
          in: path
          required: true
          schema:
            type: string
            title: Conversation Id
        - name: x-api-key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Your API key for programmatic access. Send it in the x-api-key
              header; you can create and manage keys from the Developers page.
            title: X-Api-Key
          description: >-
            Your API key for programmatic access. Send it in the x-api-key
            header; you can create and manage keys from the Developers page.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AssignConversationTagsRequestModel'
              description: Tag ids to assign to the conversation.
      responses:
        '204':
          description: Successful Response
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    AssignConversationTagsRequestModel:
      properties:
        tag_ids:
          items:
            type: string
          type: array
          maxItems: 50
          minItems: 1
          title: Tag Ids
          description: >-
            Tag IDs to add to the conversation. Re-assigning an existing tag is
            a no-op.
      type: object
      required:
        - tag_ids
      title: AssignConversationTagsRequestModel
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````